using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace ImageBoardServerApp.Data;

public class ImageData
{
    [Required]
    [DatabaseGenerated((DatabaseGeneratedOption.Identity))]
    [Key]
    public int ImageID { get; set; }
    
    
    [Required]
    public string Board { get; set; }

    [Required]
    public string ImageLocation { get; set; }
    
    public PostData Post { get; set; }
    
    public CommentData Comment { get; set; }
}