namespace ImageBoardServerApp.Data;

public class RulesConv
{
    public static Dictionary<Rules, string> dict = new Dictionary<Rules, string>()
    {
        { Rules.AGAINSTLAW, "You may not post stuff that would get us into trouble with the feds." },
        { Rules.NSFW_NSFL, "You may not post NSFW / NSFL on this platform." },
        { Rules.POLITICAL_CONTENT, "You may not post political content on this platform." }, 
        { Rules.RAIDS, "You may not plan or participate in \"raids\" on this platform." },
        { Rules.UNDERAGE, "You have to be atleast 18 years old to post." },
        { Rules.VPN_PROXY_TOR, "You may not post through VPNs, Proxies or the TOR network."},
        { Rules.OFF_TOPIC, "You may not post posts, which are not of the same topic as the target board."},
        { Rules.OTHER, "Other (Please specify)"}
    };

    public static Dictionary<string, Rules> dict2 = new Dictionary<string, Rules>()
    {
        { "AGAINSTLAW", Rules.AGAINSTLAW },
        { "NSFW_NSFL", Rules.NSFW_NSFL },
        { "POLITICAL_CONTENT", Rules.POLITICAL_CONTENT },
        { "RAIDS", Rules.RAIDS },
        { "UNDERAGE", Rules.UNDERAGE },
        { "VPN_PROXY_TOR", Rules.VPN_PROXY_TOR },
        { "OFF_TOPIC", Rules.OFF_TOPIC },
        { "OTHER", Rules.OTHER }
    };
}