using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace ImageBoardServerApp.Data;

public class BoardData
{
    [Required]
    [DatabaseGenerated((DatabaseGeneratedOption.Identity))]
    [Key]
    public int BoardID { get; set; }
    
    [Required]
    public string Tag { get; set; }
    
    [Required]
    public string Topic { get; set; }
    
    [Required]
    public int maxThreads { get; set; }
    
    [Required]
    public bool isLocked { get; set; }
    
    [Required] 
    public int NumberOfGETs { get; set; }
}